#ifndef AGILE_AGILe_HH
#define AGILE_AGILe_HH

#include <typeinfo>
#include <set>
#include <map>
#include <string>
#include <vector>
#include <stdexcept>
#include <iostream>
#include <iomanip>
#include <sstream>
#include <list>

namespace AGILe {

  #ifdef LIB_SUFFIX
  #define SYSDSO string(LIB_SUFFIX)
  #else
  #define SYSDSO string(".so")
  #endif
  
  using std::set;
  using std::map;
  using std::multimap;
  using std::type_info;
  using std::string;
  using std::less;
  using std::vector;
  using std::list;
  using std::pair;
  using std::make_pair;
  using std::runtime_error;
  using std::exception;
  using std::min;
  using std::stringstream;
  using std::istringstream;
  using std::ostringstream;
  using std::max;

  // Prefer to encourage Log::getLog()
  // using std::cout; 
  // using std::cerr;

  using std::ostream;
  using std::istream;
  using std::cin;
  using std::setw;
  using std::endl;

}

#include "AGILe/Tools/Logging.hh"
#include "AGILe/AGILeBoost.hh"

#endif
